### Enumeration

# AdwFlapTransitionType

deprecated: 1.4

#### Declaration

    enum Adw.FlapTransitionType

#### Description [src]

Describes transitions types of a `AdwFlap` widget.

It determines the type of animation when transitioning between children in a `AdwFlap` widget, as well as which areas can be swiped via `AdwFlap:swipe-to-open` and `AdwFlap:swipe-to-close`.

Deprecated since: 1.4

See the migration guide

#### Members

`ADW_FLAP_TRANSITION_TYPE_OVER`

  The flap slides over the content, which is dimmed. When folded, only the flap can be swiped.

  - Value: `0`
  - Available since: 1
`ADW_FLAP_TRANSITION_TYPE_UNDER`

  The content slides over the flap. Only the content can be swiped.

  - Value: `1`
  - Available since: 1
`ADW_FLAP_TRANSITION_TYPE_SLIDE`

  The flap slides offscreen when hidden, neither the flap nor content overlap each other. Both widgets can be swiped.

  - Value: `2`
  - Available since: 1